Delete Meter
curl --request DELETE \
--url https://connect.withvayu.com/meters/{meterId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://connect.withvayu.com/meters/{meterId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://connect.withvayu.com/meters/{meterId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meter": {
"name": "<string>",
"eventName": "<string>",
"aggregationMethod": {
"field": "<string>",
"instanceKey": "<string>"
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "<string>",
"filter": {
"conditions": [
{
"criterions": [
{
"field": "<string>",
"value": "<string>"
}
]
}
]
}
}
}{
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"params": [
{
"param": "<string>",
"message": "<string>"
}
]
}{
"type": "authentication_error",
"code": "authentication_failed",
"message": "<string>"
}{
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "<string>"
}{
"type": "rate_limit_error",
"code": "rate_limit_exceeded",
"message": "<string>"
}{
"type": "api_error",
"code": "internal_error",
"message": "<string>"
}Meters
Delete Meter
Delete a Meter by id.
DELETE
/
meters
/
{meterId}
Delete Meter
⌘I
